Subject: Re: diff/merge tool that ignores whitespace changes

From: Stephen Bash <[email-masked]>
Date: Tue, 28 Aug 2012 14:08:14 -0400 (EDT)

----- Original Message -----
> From: "Matthew Caron" <[email-masked]>
> Sent: Tuesday, August 28, 2012 1:41:51 PM
> Subject: Re: diff/merge tool that ignores whitespace changes
> 
> > > I'm looking for a diff / merge tool that treats lines with only
> > > whitespace changes (trailing or leading whitespaces, linefeeds,
> > > etc) as equal.
> > >
> > > The goal is to make reviews as well as merging or rebasing easier
> > > when things like indentions often change.
> > >
> > > Does anybody know an solution for that ?
> 
> I'm fond of Meld.

I loved Meld when I was working exclusively on Linux several years ago.  Honestly I think I set up my kdiff fonts/highlight colors/etc. to be very Meld-like (unintentionally, just what "looked right").  Looking at the website, technically Meld should build/run on a variety of OSes, but at some point (lost to the sands of time) I ran into trouble which is why I switched.

Stephen